<?xml version="1.0" encoding="utf-8"?>
<configuration>

	<configSections>
		<section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
	</configSections>

	<log4net>

		<appender name="CCA" type="log4net.Appender.ColoredConsoleAppender">
			<layout type="log4net.Layout.PatternLayout">
				<conversionPattern value="%message%newline"/>
				<!--<conversionPattern value="[%logger{1}] %message%newline"/>-->
			</layout>
			<mapping>
				<level value="FATAL"/>
				<foreColor value="White, HighIntensity"/>
				<backColor value="Red, HighIntensity"/>
			</mapping>
			<mapping>
				<level value="ERROR"/>
				<foreColor value="White"/>
				<backColor value="Red"/>
			</mapping>
			<mapping>
				<level value="WARN"/>
				<backColor value="Yellow, HighIntensity"/>
			</mapping>
			<mapping>
				<level value="INFO"/>
				<foreColor value="Green, HighIntensity"/>
			</mapping>
			<mapping>
				<level value="DEBUG"/>
				<foreColor value="White"/>
			</mapping>
		</appender>

		<appender name="RFA" type="log4net.Appender.RollingFileAppender">

			<file value="Logs\log.txt"/>
			<rollingStyle value="Size"/>
			<maxSizeRollBackups value="4"/>
			<maximumFileSize value="250KB"/>
			<preserveLogFileNameExtension value="true"/>

			<layout type="log4net.Layout.PatternLayout">
				<header type="log4net.Util.PatternString" value="%newline%property{div}%newline"/>
				<footer type="log4net.Util.PatternString" value="%property{div}%newline"/>
				<conversionPattern value="%-5level %logger{1} - %message%newline"/>
			</layout>

		</appender>

		<root>
			<level value="INFO"/>
			<appender-ref ref="CCA"/>
			<appender-ref ref="RFA"/>
		</root>

	</log4net>

	<startup>
		<supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8"/>
	</startup>
	
</configuration>
